<!DOCTYPE html>
<head th:replace="~{_layout/layout :: lojaHead}"></head>

<body>
<div class="container">
    <div th:replace="~{_layout/layout :: lojaNavbar}"></div>
    <div class="painel-principal">
        <div class="panel panel-info">
            <div class="panel-body">

                <div th:if="${not #strings.isEmpty(messageWarn)}" class="alert alert-danger">
                    <h5 th:text="${messageWarn}" style="margin: 20px; padding-left: 50px"></h5>
                </div>

                <div th:if="${not #strings.isEmpty(messageInfo)}" class="alert alert-info">
                    <h5 th:text="${messageInfo}" style="margin: 20px; padding-left: 50px"></h5>
                </div>

                <table th:if="${not #lists.isEmpty(session.carrinho.itensCompra)}"
                       id="cart-table" class="table table-hover">
                    <thead>
                    <tr>
                        <th width="50%" colspan="2">Livro</th>
                        <th width="10%">Preço</th>
                        <th width="10%">Qtde</th>
                        <th width="10%">Total</th>
                        <th width="10%" style="text-align: center;">Ação</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="item : ${session.carrinho.itensCompra}">
                        <td>
                            <img th:src="${'/loja/imagens/pequena_' + item.imagem}"
                                 th:alt="${item.tituloCurto}"
                                 th:title="${item.tituloCurto}">
                        </td>
                        <td th:text="@{${item.titulo} + ' (' + ${item.formato} +')'}"></td>
                        <td th:text="${item.valorUnico}"></td>
                        <td th:text="${item.quantidade}"></td>
                        <td th:text="${item.total}"></td>
                        <td align="center">
                            <div class="btn-group">
                                <a th:href="@{'/vendas/carrinho/remover?codigo=' + ${item.codigo} + '&formato=' + ${item.formato}}"
                                   class="btn btn-sm btn-danger">Excluir</a>
                            </div>
                        </td>
                    </tr>
                    </tbody>
                    <tfoot>
                    <tr>
                        <td colspan="2"></td>
                        <td colspan="3" align="right">
                            <div style="display:flex;align-items:center;justify-content:space-between;">
                                <span>CEP</span>
                                <form style="display: flex;" action="/vendas/carrinho/calcularFrete" method="post">
                                    <input type="text"
                                           style="display: inline-block;width: auto; margin-inline: 5px"
                                           class="form-control"
                                           th:value="${session.carrinho.cepDestino}"
                                           name="cepDestino"
                                           id="cepDestino"
                                           placeholder="Digite o cep">
                                    <button class="btn btn-default" type="submit">
                                        <span class="glyphicon glyphicon-usd">Calcular</span>
                                    </button>
                                </form>
                            </div>
                        </td>
                        <td colspan="1" align="right" th:text="${'Frete: ' + session.carrinho.valorFrete}"></td>
                    </tr>
                    <tr>
                        <td colspan="4">
                            <div class="row">
                                <div class="col-md-12 col-xs-12">
                                    <div class="btn-group">
                                        <a th:href="@{/vendas/loja}" class="btn btn-primary">
                                            Adicionar itens</a>
                                    </div>
                                </div>
                            </div>
                        </td>
                        <td colspan="2" align="right"><strong th:text="${'Total: ' + session.carrinho.total}"></strong>
                        </td>
                    </tr>
                    <tr id="tr_form_cartao">
                        <td colspan="6">
                            <h4 class="lead text-success">Informar dados para pagamento</h4>
                            <div id="div_form_cartao" class="show">
                                <form action="/vendas/carrinho/finalizar" method="POST"
                                      role="form"
                                      style="display:flex;align-items: center;justify-content: space-between;">
                                    <label class="h6 text-secondary" for="cartao">Cartão</label>
                                    <input style="display:flex; margin-inline: 10px"
                                           type="text" class="form-control" name="cartao"
                                           id="cartao" placeholder="Digite o número do cartão"
                                           autocomplete="off">

                                    <label class="h6 text-secondary" for="titular">Titular</label>
                                    <input style="display:flex; margin-inline: 10px"
                                           type="text" class="form-control" name="titular"
                                           id="titular" placeholder="Digite o nome do titular"
                                           autocomplete="off">
                                    <button type="submit" class="btn btn-success"
                                            name="btn_pagamento" id="btn_pagamento">
                                        <span class="glyphicon glyphicon-credit-card"></span>Finalizar pedido
                                    </button>
                                </form>
                            </div>
                        </td>
                    </tr>
                    </tfoot>
                </table>
            </div>

        </div>
    </div>
</div>
</body>
</html>